Main Page Class Hierarchy Compound List File List Compound Members File Members

# rw_strongmotionII.h File Reference

`#include <earthworm.h>`
`#include <trace_buf.h>`

Go to the source code of this file.

## Compounds
struct | _SM_INFO
## Defines
#define | GRAVITY_CGS 978.03
#define | SM_MAX_RSA 20
#define | SM_NULL -1
#define | SM_ALTCODE_NONE 0
#define | SM_ALTCODE_RECEIVING_MODULE 1
#define | SM_ALTCODE_DATABASE 2
#define | SM_ALTCODE_AUTOMATED_REVIEWER 3
#define | SM_ALTCODE_HUMAN_REVIEWER 4
## Typedefs
typedef _SM_INFO | SM_INFO
## Functions
int | rd_strongmotionII (char *msg, int msglen, SM_INFO *sm)
int | wr_strongmotionII (SM_INFO *sm, char *buf, int buflen)
void | log_strongmotionII (SM_INFO *sm)

## Define Documentation

#define GRAVITY_CGS 978.03

| Definition at line 114 of file rw_strongmotionII.h.

#define SM_ALTCODE_AUTOMATED_REVIEWER 3

| Definition at line 199 of file rw_strongmotionII.h.

#define SM_ALTCODE_DATABASE 2

| Definition at line 198 of file rw_strongmotionII.h.

#define SM_ALTCODE_HUMAN_REVIEWER 4

| Definition at line 200 of file rw_strongmotionII.h.

#define SM_ALTCODE_NONE 0

| Definition at line 196 of file rw_strongmotionII.h.

#define SM_ALTCODE_RECEIVING_MODULE 1

| Definition at line 197 of file rw_strongmotionII.h.

#define SM_MAX_RSA 20

| Definition at line 153 of file rw_strongmotionII.h.

#define SM_NULL -1

| Definition at line 154 of file rw_strongmotionII.h.

## Typedef Documentation

typedef struct _SM_INFO SM_INFO

## Function Documentation

void log_strongmotionII | ( | SM_INFO * | sm | ) |

| Definition at line 316 of file rw_strongmotionII.c. References _SM_INFO::altcode, _SM_INFO::comp, datestr24(), _SM_INFO::loc, logit(), _SM_INFO::net, _SM_INFO::nrsa, _SM_INFO::pdrsa, _SM_INFO::pga, _SM_INFO::pgd, _SM_INFO::pgv, _SM_INFO::qauthor, _SM_INFO::qid, _SM_INFO::rsa, _SM_INFO::sta, _SM_INFO::t, _SM_INFO::talt, _SM_INFO::tpga, _SM_INFO::tpgd, and _SM_INFO::tpgv.

int rd_strongmotionII | ( | char * | msg,
|  | int | msglen,
|  | SM_INFO * | sm
| ) |

| Definition at line 55 of file rw_strongmotionII.c. References _SM_INFO::altcode, AUTHOR_FIELD_SIZE, _SM_INFO::comp, EVENTID_SIZE, _SM_INFO::loc, _SM_INFO::net, _SM_INFO::nrsa, _SM_INFO::pdrsa, _SM_INFO::pga, _SM_INFO::pgd, _SM_INFO::pgv, _SM_INFO::qauthor, _SM_INFO::qid, _SM_INFO::rsa, SM_MAX_RSA, _SM_INFO::sta, _SM_INFO::t, _SM_INFO::talt, timegm(), tokenlength(), _SM_INFO::tpga, _SM_INFO::tpgd, _SM_INFO::tpgv, TRACE_CHAN_LEN, TRACE_LOC_LEN, TRACE_NET_LEN, and TRACE_STA_LEN.

int wr_strongmotionII | ( | SM_INFO * | sm,
|  | char * | buf,
|  | int | buflen
| ) |

| Definition at line 250 of file rw_strongmotionII.c. References ABS, addtimestr(), _SM_INFO::altcode, _SM_INFO::comp, datestr24(), _SM_INFO::loc, _SM_INFO::net, _SM_INFO::nrsa, _SM_INFO::pdrsa, _SM_INFO::pga, _SM_INFO::pgd, _SM_INFO::pgv, _SM_INFO::qauthor, _SM_INFO::qid, _SM_INFO::rsa, _SM_INFO::sta, strappend(), sUnknown, _SM_INFO::t, _SM_INFO::talt, _SM_INFO::tpga, _SM_INFO::tpgd, and _SM_INFO::tpgv.